Samba 3.6 и Samba4

5

Я установил Ubuntu 12.10 и samba 3.6 (версия samba, установленная для Ubuntu 12.10, по умолчанию). Все работает нормально. Я могу получить доступ к общим папкам и общим принтерам на ПК с ОС Windows.

Я прочитал, что Samba4 обеспечивает доступ и вход в ActiveDirectory Windows Server (более свободный доступ к Samba 3.6), поэтому я хочу установить Samba4.

Можно ли заменить samba3.6 на samba4? ИЛИ Могу ли я установить samba4 вместе с samba3.6?

Samba4 (SAMBA) - это следующая версия Samba 3.6 (SMB) или разные пакеты и сервисы?

Samba4 предоставляет все те же функциональные возможности, что и Samba 3.6 плюс все возможности для доступа и использования ActiveDirectory? Samba3.6 обеспечивает доступ к ActiveDirectory?

Я решил проверить samba4, и я попытался удалить samba 3.6. Все было нормально, пока я не попытался удалить libwclient (или libwclient0). Когда я отмечаю, что он удаляется в Synaptic, я получаю уведомление, которое необходимо удалить kde-runtime, mplayer, k3b, gecko, gnome mplayer, lubuntu-desktop и т. Д. И т. Д. Поэтому я не удалял и переустанавливал все samba3.6

Что произойдет, если я полностью удалю samba3.6 (libwclient (или libwclient0) тоже), что происходит с этим программным обеспечением (kde-runtime, mplayer, k3b, gecko, gnome mplayer, lubuntu-desktop и т. д.) и / р>

Могу ли я установить samba4 и получить все те же функции, что samba3.6 (доступ к общим папкам и принтерам окон), а также ActiveDirectory и переустановить все это программное обеспечение (kde-runtime, mplayer, k3b, gecko, gnome mplayer , lubuntu-desktop и т. д. и т. д.), и это программное обеспечение будет использовать samba4 вместо samba3.6?

(Извините за мой английский)

Спасибо, Алехандро

    
задан Alejandro Bernardico 13.12.2012 в 20:00
источник

1 ответ

6

В это время Samba 3 и Samba 4 в основном дополняют друг друга. Samba 3 - это зрелый файловый сервер и т. Д., А также домен участника Active Directory . Samba 4 - первая версия Samba, которая может выступать в качестве контроллера домена Active Directory . Просто хотите поделиться файлами? Установить Samba 3. Хотите запустить DC? Установите Samba 4.

Ссылка: недавнее объявление о выпуске Samba 4.0: Ссылка

Ссылка: Ссылка

    
ответ дан jdthood 13.12.2012 в 20:25